<?php

/**
 * User: Turkialawlqy
 * Web Site: http://wwww.xf-ar.com
 * Email: turkialawlqy@gmail.com
 * Date: 12/01/2016
 * Time: 16:56
 */
class Turki_Package_Route_Prefix_Sub extends Turki_Package_Route_Prefix_Index
{
    protected $_subComponents = array();

    /**
     * Match a specific route for an already matched prefix.
     *
     * @see XenForo_Route_Interface::match()
     */
    public function match($routePath, Zend_Controller_Request_Http $request, XenForo_Router $router)
    {
        $controller = $this->controllerName;
        $action = $router->getSubComponentAction($this->_subComponents, $routePath, $request, $controller);
        if ($action === false)
        {
            $action = $router->resolveActionWithIntegerParam($routePath, $request, $this->minorSection);
        }

        return $router->getRouteMatch($controller, $action, $this->majorSection);
    }
}